# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Test-Exception
Version:	0.31
Release:	5.%{__distinit}%{__distvers}
Summary:	Library of test functions for exception based Perl code
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-Exception/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADIE/Test-Exception-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Pod::Coverage)
BuildRequires:	perl(Sub::Uplevel) >= 0.13
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::Builder::Tester)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module provides a few convenience methods for testing exception
based code. It is built with Test::Builder and plays happily with
Test::More and friends.

%prep
%setup -q -n Test-Exception-%{version}
sed -i -e '/^#! \/usr\/bin\/perl -w$/d' lib/Test/Exception.pm
chmod -c -x Changes lib/Test/Exception.pm

%build
perl Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}

%check
LC_ALL=C ./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::Exception.3pm*

%changelog
* Thu Oct  6 2011 Paul Howarth <paul@city-fan.org> 0.31-5
- Fix dist tag for CentOS 6 and Scientific Linux

* Tue Jul  5 2011 Paul Howarth <paul@city-fan.org> 0.31-4
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands

* Mon Oct 11 2010 Paul Howarth <paul@city-fan.org> 0.31-1
- Update to 0.31:
  - Added a bunch of folk to the acknowledgements
  - Added some clarifying documentation to respond to CPAN RT#59293
  - Marked a test that was failing under T::B 2.0 until we figure out
    whether it should pass or not (see http://is.gd/fNOFb)
  - Added dates to changes file, as far as we can from backpan et al
  - Fix for DB::args bug
  - Fix for bizarre-copy bug

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 0.29-3
- Rebuild for perl 5.12.1 in Rawhide

* Sun May 30 2010 Paul Howarth <paul@city-fan.org> 0.29-2
- Fix dist tag for RHEL-6 Beta

* Tue Jan 12 2010 Paul Howarth <paul@city-fan.org> 0.29-1
- Update to 0.29 (fix code with Sub::Uplevel)
- Dist tag for Rawhide no longer needs special-casing

* Wed Sep 30 2009 Paul Howarth <paul@city-fan.org> 0.27-3
- Define RPM macros in global scope

* Thu Nov 13 2008 Paul Howarth <paul@city-fan.org> 0.27-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Run tests in "C" locale to avoid Module::Build's inability to find perl
  in the test suite on older distributions

* Mon Feb 18 2008 Paul Howarth <paul@city-fan.org> 0.27-1
- Update to 0.27

* Tue Dec 11 2007 Paul Howarth <paul@city-fan.org> 0.26-1
- Update to 0.26
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Fri Feb 16 2007 Paul Howarth <paul@city-fan.org> 0.25-1
- Update to 0.25
- Fix dist tag for FC7 onwards

* Tue Oct 10 2006 Paul Howarth <paul@city-fan.org> 0.24-1
- Update to 0.24

* Mon Oct  9 2006 Paul Howarth <paul@city-fan.org> 0.23-1
- Update to 0.23

* Fri Sep  1 2006 Paul Howarth <paul@city-fan.org> 0.22-1
- Update to 0.22
- Simplify distribution-detection code
- Remove %%__perl_version macro, used only once
- Remove buildroot unconditionally in %%clean and %%install
- Use search.cpan.org download URL
- Buildreq perl(Sub::Uplevel) >= 0.13

* Fri Aug 26 2005 Paul Howarth <paul@city-fan.org> 0.21-2
- Import from Fedora Extras

* Tue Jun  7 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> 0.21-1
- Update to 0.21.

* Thu May 12 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> 0.20-4
- Add dist tag.

* Sat Apr 16 2005 Ville Skyttä <ville.skytta at iki.fi> 0.20-3
- Avoid .packlist creation with Module::Build >= 0.2609.
- Trust that %%{perl_vendorlib} is defined.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.20-2
- rebuilt

* Fri Nov  5 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> 0.20-1
- Update to 0.20.

* Sun Jul 04 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> 0:0.15-0.fdr.1
- First build.
